<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\User;
// use App\Models\Profile;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;

class AuthenticationController extends Controller
{
    public function login()
    {
        if(Auth::check()){
            return redirect()->route('dashboard');
        }
        return view('admin.login');
    }

    public function loginSubmit(Request $request)
    {
        // $validation = validator()->make($request->all(), [
            
        $request->validate([
            'email' => 'required|exists:users,email',
            'password' => 'required'
        ]);

        // if ($validation->fails()) {
        //     return redirect()->back()->with('error', $validation->errors()->first());
        //     // return response()->json(['message' => $validation->errors()->first(), 'status' => 'error'], 401);
        // }
        $credentials = $request->only('email', 'password');

        if (Auth::attempt($credentials)) {            
            $user = Auth::user();
            $request->session()->regenerate();
            $s_user = json_decode($user, true);
            foreach($s_user as $key=>$val){
                // var_dump($key);
                // var_dump($val);
                session()->put($key, $val);
            }
            return redirect()->route('dashboard');
            // return ['body' => ['id' => $user->id, 'auth_token' => $user->remember_token, 'name' => $user->name, 'email' => $user->email], 'status' => 'successfull'];
        }
        // return redirect()->back()->with('error', 'incorrect username or password');
        return redirect()->back()->withInput()->with('login_status', 'Incorrect username or password');
        // return response()->json(['message' => , 'status' => 'error'], 401);
    }

    public function logout()
    {
        Auth::logout();
        session()->flush();
        session()->flash('login_status', 'Logged out successfully!');
        return redirect()->route('login');
    }

    
}