@extends('layout.admin.master')

@section('meta-title', 'LEREVE - Update Announcement')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('announcement.list')}}">Announcements</a>
  </li>
  <li class="breadcrumb-item">
    <span>Update</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Announcement
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('announcement.update', ['id'=>$announcement->id])}}">
        @csrf
        <h5 class="form-header">
          Update
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Text (English)</label>
              <input class="form-control" name="text_en" placeholder="Text" required="required" type="text" value="{{$announcement->text_en}}">
              @error('text_en')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Text (Arabic)</label>
              <input class="form-control" name="text_ar" placeholder="Text ( Arabic )"  type="text"  value="{{$announcement->text_ar}}">
              @error('text_ar')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>
        <!-- Media -->
        <fieldset class="form-group">
          <legend><span>Date</span></legend>
          <div class="row">
            <div class="col-sm-6">
              <div class="form-group">
                <label for=""> Start Date</label>
                <input class="form-control single-daterange" name="start_date" type="text"  value="{{$announcement->start_dt}}">
                @error('start_date')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>
            </div>
            <div class="col-sm-6">
              <div class="form-group">
                <label for=""> Expiry Date</label>
                <input class="form-control single-daterange" name="expiry_date" type="text"  value="{{$announcement->expiry_dt}}">
                @error('expiry_date')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>          
            </div>
          </div>
        </fieldset>
        <!-- <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="active" type="checkbox" value="1" checked> Active
          </label>
        </div> -->
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection