@extends('layout.admin.master')

@section('meta-title', 'LEREVE - Update Area')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('setting.area.list')}}">Area</a>
  </li>
  <li class="breadcrumb-item">
    <span>Update</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Area
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('setting.area.update', ['id'=>$area->id])}}">
        @csrf
        <h5 class="form-header">
          Update
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> State </label>
          <select name="state" class="form-control" required>
            <option value="0">Select State</option>
            @foreach($states as $state)
              <option value="{{$state->id}}" {{($state->id==$area->state_id)?'selected':''}}>{{$state->name_en}}</option>
            @endforeach
          </select>
          @error('state')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Name </label>
          <input class="form-control" name="name_en" placeholder="Name (English)" required="required" type="text" value="{{$area->name_en}}">
          @error('name_en')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Name (AR) </label>
          <input class="form-control" name="name_ar" placeholder="Name (Arabic)" required="required" type="text" value="{{$area->name_ar}}">
          @error('name_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection