@extends('layout.admin.master')

@section('meta-title', 'LEREVE - Create Branch')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('branch.list')}}">Branch</a>
  </li>
  <li class="breadcrumb-item">
    <span>Create</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Branch
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('branch.store')}}">
        @csrf
        <h5 class="form-header">
          Create
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> Branch User </label>
          <select class="form-control select2" name="user_id">
            <option value="0">Select User</option>
            @foreach($users as $user)
              <option value="{{$user->id}}">{{$user->name.' - '.$user->email}}</option>
            @endforeach
          </select>
          @error('user_id')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Name </label>
          <input class="form-control" name="name" placeholder="Enter Branch Name" required="required" type="text">
          @error('name')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Phone</label>
          <input class="form-control" name="phone" placeholder="Phone"  type="number">
          @error('phone')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Address</label>
          <textarea class="form-control" name="address" placeholder="Address" ></textarea>
          @error('address')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Google Location</label>
          <input class="form-control" name="g_location" placeholder="Google Location"  type="text">
          @error('g_location')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="row">
          <div class="col-sm-3">
            <div class="form-group">
              <label for=""> Opening Time</label>
              <input class="form-control" name="opening_time" placeholder="Opening Time"  type="time">
              @error('opening_time')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group">
              <label for=""> Closing Time</label>
              <input class="form-control" name="closing_time" placeholder="Closing Time"  type="time">
              @error('closing_time')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Delivery Time</label>
              <input class="form-control" name="delivery_time" placeholder="Delivery Time"  type="time">
              @error('delivery_time')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>
        <!-- Media -->
        <!-- <fieldset class="form-group">
          <legend><span>Media</span></legend>
          <div class="form-group">
            <label for=""> Thumbnail</label>
            <input class="form-control" name="thumbnail" type="file">
            @error('thumbnail')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>          
        </fieldset> -->
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="pickup" type="checkbox" value="1" checked> Pickup
          </label>
        </div>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="store_busy" type="checkbox" value="1" checked> Store Busy
          </label>
        </div>
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection