@extends('layout.admin.master')

@section('meta-title', 'LEREVE - Update Coupon')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('coupon.list')}}">Coupons</a>
  </li>
  <li class="breadcrumb-item">
    <span>Update</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Coupon
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('coupon.update', ['id'=>$coupon->id])}}">
        @csrf
        <h5 class="form-header">
          Update
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> Promo Code</label>
          <input class="form-control" name="code" placeholder="Promo Code" required="required" type="text" value="{{$coupon->code}}">
          @error('code')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Type</label>
          <select name="type" class="form-control">
            <option value="0" disabled>Select Type</option>
            <option value="Fixed" {{($coupon->type=='Fixed')?'selected':''}}>Fixed</option>
            <option value="Percentage" {{($coupon->type=='Percentage')?'selected':''}}>Percentage</option>
          </select>
          @error('type')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Amount</label>
              <input class="form-control" name="amount" type="text" placeholder="Amount"  value="{{$coupon->amount}}">
              @error('amount')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Quantity</label>
              <input class="form-control" name="quantity" type="number" min="0" placeholder="Quantity"  value="{{$coupon->quantity}}">
              @error('quantity')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>
        <!-- Media -->
        <fieldset class="form-group">
          <legend><span>Date</span></legend>
          <div class="row">
            <div class="col-sm-6">
              <div class="form-group">
                <label for=""> Start Date</label>
                <input class="form-control single-daterange" name="start_date" type="text"  value="{{$coupon->start_dt}}">
                @error('start_date')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>
            </div>
            <div class="col-sm-6">
              <div class="form-group">
                <label for=""> End Date</label>
                <input class="form-control single-daterange" name="end_date" type="text"  value="{{$coupon->end_at}}">
                @error('end_date')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>          
            </div>
          </div>
        </fieldset>
        <!-- <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="active" type="checkbox" value="1" checked> Active
          </label>
        </div> -->
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection