@extends('layout.admin.master')

@section('meta-title', 'Products')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')
@section('breadcrumbs')
  <li class="breadcrumb-item">
    <span>Products</span>
  </li>
@endsection
@push('asset-top')
    
@endpush

@section('content')
<div class="element-wrapper">
  <h6 class="element-header">
    Products
  </h6>
  <div class="element-box">
    <h5 class="form-header">
      <!-- List -->
    </h5>
    <!-- <div class="form-desc">You can put a table tag inside an <code>.element-box</code> class wrapper and add <code>.table</code> class to it to get something like this:
    </div> -->
    <!--------------------
    START - Controls Above Table
    -------------------->
    <div class="controls-above-table">
      <div class="row">
        <div class="col-sm-6">
          
          <a class="btn btn-sm btn-secondary" href="{{ route('product.create') }}"><i class="os-icon os-icon-common-03"></i>Add</a>
          <!-- <a class="btn btn-sm btn-danger" href="#">Delete</a> -->
        </div>
        <div class="col-sm-6">
          <form class="form-inline justify-content-sm-end">
            <input class="form-control form-control-sm rounded bright" placeholder="Search" type="text">
            <select class="form-control form-control-sm rounded bright">
              <option selected="selected" value="">Select Status</option>
              <option value="Pending">Pending</option>
              <option value="Active">Active</option>
              <option value="Cancelled">Cancelled</option>
            </select>
          </form>
        </div>
      </div>
    </div>
    <!--------------------
    END - Controls Above Table
    -------------------->
    <div class="table-responsive">
      <!--------------------
      START - Basic Table
      -------------------->
      <table class="table table-lightborder">
        <thead>
          <tr>
            <th class="">#</th>
            <th>Name</th>
            <th>Category</th>
            <th>Price</th>
            <th class="text-center">Quantity</th>
            <th class="text-right">Action</th>
          </tr>
        </thead>
        <tbody>
          @foreach($products as $product)
            <tr>
              <td>@if($product->thumbnail)<img class="list-thumb" src="/gallery/products/images/{{$product->thumbnail}}">@endif</td>
              <td>{{$product->name_en}}</td>
              <td>{{$product->category}}</td>
              <td>{{$product->price}}</td>
              <td class="text-center">
                {{$product->quantity}}
                <!-- <div class="status-pill green" data-title="Complete" data-toggle="tooltip"></div> -->
              </td>
              <td class="row-actions text-right">
                <a href="{{route('product.edit', ['slug'=>$product->slug])}}"><i class="os-icon os-icon-ui-49"></i></a>
                <a href="{{route('product.delete', ['slug'=>$product->slug])}}" class="danger"><i class="os-icon os-icon-ui-15"></i></a>
              </td>
            </tr>
          @endforeach
        </tbody>
      </table>

      <!--------------------
      END - Basic Table
      -------------------->
    </div>
    <div class="ar-pagination">
      {{ $products->links() }}
      </div>
  </div>
</div>

@endsection