@extends('layout.admin.master')

@section('meta-title', 'LEREVE - Update Review')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('review.list')}}">Reviews</a>
  </li>
  <li class="breadcrumb-item">
    <span>Update</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Review
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('review.update', ['id'=>$review->id])}}">
        @csrf
        <h5 class="form-header">
          Update
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> Customer</label>
          <select name="user" class="form-control">
            <option value="0" >Select</option>
            @foreach($users as $user)
              <option value="{{$user->id}}" {{($review->user_id==$user->id)?'selected':''}}>{{$user->name}}</option>
            @endforeach
          </select>
          @error('user')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Product</label>
          <select name="product" class="form-control">
            <option value="0">Select</option>
            @foreach($products as $product)
              <option value="{{$product->id}}" {{($review->product_id==$product->id)?'selected':''}}>{{$product->name_en}}</option>
            @endforeach
          </select>
          @error('product')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Rating</label>
          <div>
            @for($i=1;$i<=5;$i++)
              <div class="form-check" style="display: inline-block; padding-right: 1.25rem;">
                <label class="form-check-label"><input class="form-check-input" name="rating" type="radio"{{($review->rating==$i)?'checked':''}} value="{{$i}}">{{$i}}</label>
              </div>
            @endfor          
          </div>
          @error('rating')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Review</label>
          <textarea class="form-control" name="review" placeholder="Write a review">{{$review->review}}</textarea>
          @error('review')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection