<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\Order;
use App\Models\Product;
use App\Models\Cart;
use App\Models\Branch;
use App\Models\BranchArea;
use App\Models\AddressBook;
use App\Models\CartItem;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
	public function index(){
		if(session('role') == 'admin') {
			$dorders = Order::join('carts', 'orders.id', '=', 'carts.order_id')->where('isdelete',0)->get(); 
			$orders = Order::join('carts', 'orders.id', '=', 'carts.order_id')->where('isdelete',0)->orderBy('orders.created_at', 'desc')->take(10)->get();
			$data = Cart::join('orders', 'orders.id', '=', 'carts.order_id')->get(['carts.id']);
			$branches = Branch::orderBy('created_at', 'desc')->take(4)->get();
			$customers = User::where('role','customer')->count();
		} else {
			$branches = [];
			// $customers = User::where('role','customer')->count();

			$branchArea = BranchArea::where('branch_id',session('branch_id'))->first();
            $allareas = json_decode($branchArea->area_id, true);
            $areas = [];
            foreach($allareas as $state=>$area){
                foreach($area as $are){
                    $areas[] = $are;
                }
            }

			$dorders = Order::join('carts', 'orders.id', '=', 'carts.order_id')->whereIn('orders.billing_area', $areas)->where('isdelete',0)->get(); 
			$orders = Order::join('carts', 'orders.id', '=', 'carts.order_id')->whereIn('orders.billing_area', $areas)->where('isdelete',0)->orderBy('orders.created_at', 'desc')->take(10)->get();
			
			$data = Cart::join('orders', 'orders.id', '=', 'carts.order_id')
				->whereIn('orders.billing_area', $areas)
				->get(['carts.id']);
            
            $addressBook = AddressBook::whereIn('area', $areas)->get();
            $users = [];
            foreach($addressBook as $address){
                if(!in_array($address->user_id, $users))
                    $users[] = $address->user_id;
            }
            $customers = count($users);
		}
		$id = [];
		foreach($data as $cartid) {
			$id[] = $cartid->id;
		}
		$citems = CartItem::whereIn('cart_id', $id)->count();

		// var_dump($id);
		return view('admin.dashboard', ['orders'=>$orders, 'branches'=>$branches,'customers'=>$customers, 'products'=>$citems]);
	}
}