<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\Review;
use App\Models\Product;
use App\Models\Cart;
use App\Models\CartItem;
use App\Models\Order;
use App\Models\Timeslot;
use App\Models\Area;
use App\Models\Branch;
use App\Models\BranchArea;
use App\Models\Customer;
use App\Models\Addon;
use App\Models\AddonValue;
use App\Models\AddressBook;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;

class ReportController extends Controller
{
        // All sales
        // Sale by branch
        // sale by area
        // sale by products
        // sale by customer
    // sale by country
        // customer by branch
    // customer retention
    // refund summary
    // refunded invoice
    // cancelled invoice
        // abondoned checkout

    public function index()
    {
        $csvFileName = 'allsales.csv';
        $csvFile = fopen($csvFileName, 'w');
        $headers = array('Order ID', 'Email', 'Amount');
        fputcsv($csvFile, $headers);
        $orders = Order::join('carts', 'carts.order_id', '=', 'orders.id')->where('isdelete',0)->select('orders.*', 'carts.discount', 'carts.subtotal')->get();
        $rows = [];
        $quant = $amt = 0;
        foreach($orders as $order){
            $amt += $order->subtotal - $order->discount;
            $row['id'] = $order->id;
            $row['email'] = $order->billing_email;
            $row['amt'] = ($order->subtotal - $order->discount) . ' KWD';
            fputcsv($csvFile, (array) $row);
            $rows[] = $row;
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);      
        return view('admin.reports.allsale', ['headers'=>$headers, 'data'=>$rows, 'filelink'=> '/'.$csvFileName, 'quantity'=>$quant, 'sales'=>$amt]);
    }

    public function saleByBranch(){
        $csvFileName = 'salebybranch.csv';
        $csvFile = fopen($csvFileName, 'w');
        $branches = Branch::all();
        $headers = array('Branch ID', 'Name', 'Quantity', 'Amount');
        fputcsv($csvFile, $headers);
        $rows = [];
        $quant = $amt = 0;
        foreach($branches as $area){
            $items = CartItem::join('carts', 'carts.id', '=', 'cart_items.cart_id')->whereNot('order_id',0)->where('branch_id', $area->id)->get();
            $total = $quantity = [];
            foreach($items as $item){
                $total[] = $item->price * $item->quantity;
                $quantity[] = $item->quantity;
                // $addons = json_decode($item->addon)                
            }
            $row['id'] = $area->id;
            $row['name'] = $area->name;
            $row['quantity'] = array_sum($quantity);
            $row['total'] = array_sum($total);
            $quant += array_sum($quantity);
            $amt += array_sum($total);
            fputcsv($csvFile, (array) $row);
            $rows[] = $row;
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);

        return view('admin.reports.salebybranch', ['headers'=>$headers, 'data'=>$rows, 'filelink'=> '/'.$csvFileName, 'quantity'=>$quant, 'sales'=>$amt]);

        
    }

    public function saleByArea(){
        $csvFileName = 'salebyarea.csv';
        $csvFile = fopen($csvFileName, 'w');
        $areas = Area::all();
        $headers = array('Area ID', 'Name EN', 'Name AR', 'Quantity', 'Amount');
        fputcsv($csvFile, $headers);
        $rows = [];
        $quant = $amt = 0;
        foreach($areas as $area){
            $items = CartItem::join('carts', 'carts.id', '=', 'cart_items.cart_id')->whereNot('order_id',0)->where('area_id', $area->id)->get();
            $total = $quantity = [];
            foreach($items as $item){
                $total[] = $item->price * $item->quantity;
                $quantity[] = $item->quantity;
                // $addons = json_decode($item->addon)                
            }
            $row['id'] = $area->id;
            $row['name'] = $area->name_en;
            $row['name_ar'] = $area->name_ar;
            $row['quantity'] = array_sum($quantity);
            $row['total'] = array_sum($total);
            $quant += array_sum($quantity);
            $amt += array_sum($total);
            fputcsv($csvFile, (array) $row);
            $rows[] = $row;
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);

        return view('admin.reports.salebyarea', ['headers'=>$headers, 'data'=>$rows, 'filelink'=> '/'.$csvFileName, 'quantity'=>$quant, 'sales'=>$amt]);
    }

    public function saleByProduct(){
        $csvFileName = 'salebyproduct.csv';
        $csvFile = fopen($csvFileName, 'w');    
        
        $orders = Order::where('isdelete',0)->get();
        
        foreach($orders as $key=>$order){
            $cart = Cart::where('order_id',$order->id)->first();
            $allitems = [];
            if($cart)
                $allitems = CartItem::where('cart_id',$cart->id)->get();

            $items = [];
            foreach($allitems as $ikey=>$item){
                $price[$item->product_id][$item->weight][] = $item->price;
                $quantity[$item->product_id][$item->weight][] = $item->quantity;
            }
        } 
        $idata = [];
        $total_sales = $total_qty = 0;
                
        foreach($price as $pid=>$val){
            $product = Product::find($pid);
            foreach($val as $weight=>$data){
                // var_dump($data[0]);die();
                $qty = array_sum($quantity[$pid][$weight]);
                $total_qty += $qty;
                $total_sales +=  $qty*$data[0];
                $idata[] = [
                    'product_id' => $pid,
                    'name_en' => $product->name_en,
                    'name_ar' => $product->name_ar,
                    'id' => $pid,
                    'weight' => $weight,
                    'price' => $data[0].' KWD',
                    'quantity' =>$qty,// array_sum($quantity[$pid][$weight]),
                    'total' => ($qty*$data[0]).' KWD'
                ];
                
            }
        }
        $headers = array_keys((array) $idata[0]);
        fputcsv($csvFile, $headers);
        foreach($idata as $data){
            fputcsv($csvFile, (array) $data);
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);       
        return view('admin.reports.salebyproduct', ['data'=>$idata, 'filelink'=> '/'.$csvFileName, 'quantity'=>$total_qty, 'sales'=>$total_sales]);
    }

    public function saleByCustomer(){
        $csvFileName = 'salebycustomer.csv';
        $csvFile = fopen($csvFileName, 'w');
        $orders = Order::where('isdelete',0)->get();

        foreach($orders as $key=>$order){
            $cart = Cart::where('order_id',$order->id)->first();
            if(!$cart){
                continue;
            }
            if($cart->user_id){
                $user = User::find($cart->user_id);
                $cname = $user->name;
                $cemail = $user->email;
            } else {
                $cname = $order->billing_name;
                $cemail = $order->billing_email;
            }
            $ip = $cart->ip;
            // $file[$cart->user_id][] = $cart->user_id;
            $file[$cart->user_id]['name'] = $cname;
            $file[$cart->user_id]['email'] = $cemail;
            $file[$cart->user_id]['ip'] = $ip;
            $file[$cart->user_id]['total'][] = $cart->subtotal;
            $file[$cart->user_id]['discount'][] = (float)$cart->discount;

            $allitems = CartItem::where('cart_id',$cart->id)->get();
            $items = [];
        }
        $headers = array('Customer ID', 'Name', 'Email', 'IP', 'Discount', 'Subtotal', 'Total', 'Number of orders');
        fputcsv($csvFile, $headers);
        $rows = [];
        foreach($file as $uid=>$data){
            $row['id'] = $uid;
            $row['name'] = $data['name'];
            $row['email'] = $data['email'];
            $row['ip'] = $data['ip'];
            $row['discount'] = (array_sum($data['discount'])) . 'KWD';
            $row['subtotal'] = (array_sum($data['total'])) . 'KWD';
            $row['total'] = (array_sum($data['total']) - array_sum($data['discount'])) . 'KWD';
            $row['count'] = count($data['total']);
            fputcsv($csvFile, (array) $row);
            $rows[] = $row;
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);

        return view('admin.reports.salebycustomer', ['headers'=>$headers, 'data'=>$rows, 'filelink'=> '/'.$csvFileName]);
    }

    public function customerByBranch(){
        $csvFileName = 'salebycustomer.csv';
        $csvFile = fopen($csvFileName, 'w');
        $branches = Branch::all();
        if(session('role')=='branch')
            $branches = Branch::where('id',session('branch_id'))->get();
        $headers = array('Branch ID', 'Branch Name', 'Number of Customers');
        fputcsv($csvFile, $headers);
        foreach($branches as $branch){
            $branchArea = BranchArea::where('branch_id',$branch->id)->first();
            $allareas = json_decode($branchArea->area_id, true);
            $areas = [];
            foreach($allareas as $state=>$area){
                foreach($area as $are){
                    $areas[] = $are;
                }
            }
            $addressBook = AddressBook::whereIn('area', $areas)->get();
            $users = [];
            foreach($addressBook as $address){
                if(!in_array($address->user_id, $users))
                    $users[] = $address->user_id;
            }
            $userCount = count($users);

            $row['Branch_id'] = $branch->id;
            $row['Branch_name'] = $branch->name;
            $row['Customer_Count'] = $userCount;

            fputcsv($csvFile, (array) $row);
            $rows[] = $row;
        }
        fclose($csvFile);
        $file_link = public_path($csvFileName);
        // $areas = json_decode($branch->area_id, true);

        // foreach($addressBook as $address){
        //     $users[] = $address->user_id
        // }
        return view('admin.reports.branchcustomer', ['headers'=>$headers, 'data'=>$rows, 'filelink'=> '/'.$csvFileName]);
    }

    public function abondoned(){
        $csvFileName = 'abandoned.csv';
        $csvFile = fopen($csvFileName, 'w');
    
        $columns = array(
            'Name', 'Email', 'IP', 'Product', 'Price', 'Quantity', 'Subtotal', 'Branch', 'Area'
        );

        fputcsv($csvFile, $columns);

        $carts = Cart::where('order_id',0)->get();
        $data = [];
        foreach($carts as $key=>$cart){
            $user = [];
            if($cart->user_id){
                $user = User::find($cart->user_id);
            }
            $allitems = CartItem::where('cart_id',$cart->id)->get();
            $items = [];
            foreach($allitems as $ikey=>$item){
                $branch = Branch::find($item->branch_id);
                $area = Area::find($item->area_id);
                $slot = Timeslot::find($item->slot);
                $product = Product::find($item->product_id);
                $addons = [];
                if($item->addon){
                    $addonList = json_decode($item->addon, true);
                    foreach($addonList as $akey=>$addon){
                        $qty = $addon['qty'];
                        $price = $addon['price'];
                        $avalue = AddonValue::find($akey);
                        $operand = $avalue->operand;
                        $price_type = $avalue->price_type;
                        $addonTotal[] = $addon['price']*$addon['qty'];
                        $addons[] = array(
                            'addon' => $avalue,
                            'qty' => $qty,
                            'price' => $price,
                        );
                    }
                }
                $items[$ikey] = $item;
                $items[$ikey]['product']=$product;
                $items[$ikey]['addons']=$addons;
                $items[$ikey]['branch']=$branch;
                $items[$ikey]['area']=$area;
                $items[$ikey]['slot']=$slot;

                $idata['Name'] = ($user)?$user->name:'-';
                $idata['Email'] = ($user)?$user->email:'-';
                $idata['Ip'] = $cart->ip;
                $idata['Product'] = $product->name_en;
                $idata['Price'] = $item->price;
                $idata['Quantity'] = $item->quantity;
                $idata['Subtotal'] = $item->quantity * $item->price;
                $idata['Branch'] = $branch->name;
                $idata['Area'] = $area->name_en;
                fputcsv($csvFile, (array) $idata);

            }
            fclose($csvFile);
            $file_link = public_path($csvFileName);
            $data[$key] = $idata;//['cart']
            // $data[$key]['items'] = $items;
        }
        // $this->exportCSV($data);
        return view('admin.reports.abandoned', ['data'=>$data, 'filelink'=> '/'.$csvFileName]);
    }

}
