<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name_en');
            $table->string('name_ar');
            $table->longText('description_en');
            $table->longText('description_ar');
            $table->integer('quantity')->default(0);
            $table->string('preparation_time');
            $table->string('price');
            $table->string('sale_price');
            $table->tinyInteger('new')->default(1);
            $table->tinyInteger('preorder')->default(0);
            $table->string('video');
            $table->foreignId('category_id')->nullable()->index();
            $table->string('measurements');
            $table->tinyInteger('visible')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
