@extends('layout.admin.master')

@section('meta-title', 'LEREVE Login')
@section('body-class', 'auth-wrapper')

@push('asset-top')
    <style type="text/css">
        .auth-box-w form .form-group .pre-icon{
            top: 35px !important;
        }
    </style>
@endpush

@section('content')
    <div class="all-wrapper menu-side with-pattern">
        <div class="auth-box-w">
            <div class="logo-w">
                <a href="index.html"><img alt="" src="{{ asset('admin/img/logo-big.png') }}"></a>
            </div>
            @if(session()->has('error'))
                <div class="alert alert-danger" role="alert">
                    {{session()->get('error')}}
                </div>
            @endif
            <h4 class="auth-header"> Login Form </h4>
            <form action="{{ route('auth') }}" method="post">
                @csrf
                <div class="form-group">
                    <div>
                        <div class="pre-icon os-icon os-icon-user-male-circle"></div>
                        <label for="">Username</label>
                        <input class="form-control" placeholder="Enter your username" name="email" type="text">
                    </div>
                    @error('email')
                        <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group">
                    <label for="">Password</label>
                    <input class="form-control" placeholder="Enter your password" name="password" type="password">
                    <div class="pre-icon os-icon os-icon-fingerprint"></div>
                    @error('password')
                        <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="buttons-w">
                    <button class="btn btn-primary">Log me in</button>
                    <div class="form-check-inline">
                        <label class="form-check-label"><input class="form-check-input" type="checkbox">Remember Me</label>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@push('asset-bottom')
@endpush