@extends('layout.admin.master')

@section('meta-title', 'Orders')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')
@section('breadcrumbs')
  <li class="breadcrumb-item">
    <span>Orders</span>
  </li>
@endsection
@push('asset-top')
    
@endpush

@section('content')
<div class="row">
  <div class="col-md-8">
    <div class="order-box">
      <div class="order-details-box">
        <div class="order-main-info">
          <span>Order #</span><strong>00{{$order['order']->id}}</strong>
        </div>
        <div class="order-sub-info">
          <span>Placed On</span><strong>{{date('F d, Y', strtotime($order['order']->created_at))}}</strong>
        </div>
      </div>
      <div class="order-controls">
        <form class="form-inline" method="post" action="{{route(session('role').'.order.update', ['id'=>$order['order']->id])}}">
          @csrf
          <div class="form-group">
            <label for="">Order Status</label>
            <select name="status" class="form-control form-control-sm">
              <option {{$order['order']->status=='Pending'?'selected':''}}>Pending</option>
              <option {{$order['order']->status=='Confirm'?'selected':''}}>Confirm</option>
              <option {{$order['order']->status=='Shipped'?'selected':''}}>Shipped</option>
              <option {{$order['order']->status=='Delivered'?'selected':''}}>Delivered</option>
            </select>
          </div>
          <div class="form-group">
            <label for="">Payment Status</label>
            <select name="pay_status" class="form-control form-control-sm">
              <option {{$order['order']->pay_status=='Paid'?'selected':''}}>Paid</option>
              <option {{$order['order']->pay_status=='Unpaid'?'selected':''}}>Unpaid</option>
            </select>
          </div>
          <div class="form-group">
            <button class="btn btn-primary">Save Changes</button>
          </div>
        </form>
      </div>
      <div class="order-items-table">
        <div class="table-responsive">
          <table class="table table-lightborder">
            <thead>
              <tr>
                <th colspan="2">Product Info</th>
                <th width="135px">Quantity</th>
                <th colspan="2">Price</th>
              </tr>
            </thead>
            <tbody>
              @foreach($order['items'] as $item)
                <tr>
                  <td>
                    <div class="product-image" style="background-image: url(/gallery/products/images/{{$item['product']->thumbnail}})"></div>
                  </td>
                  <td>
                    <div class="product-name">{{(app()->currentLocale()=='en')?$item['product']->name_en:$item['product']->name_ar}}</div>
                    <div class="product-details">
                      <div class="attribute"><span>Weight :</span> <strong>{{$item->weight}}</strong></div>
                      <div class="product-delvery-dtls">
                         <div class="area"><i class="mr-3 os-icon os-icon-map-pin"></i><strong>{{(app()->currentLocale()=='en')?$item['area']->name_en:$item['area']->name_ar}}</strong></div>
                         <div class="date"><i class="mr-3 os-icon os-icon-calendar"></i><strong>{{$item->delivery_date}}</strong></div>
                         <div class="time"><i class="mr-3 os-icon os-icon-clock"></i><strong>{{date('h:i A', strtotime($item['slot']->start))}} - {{date('h:i A', strtotime($item['slot']->end))}}</strong></div>
                         <div class="message"><i class="mr-3 os-icon os-icon-tag"></i> <strong>{{($item->message)?$item->message:'No message'}}</strong></div>
                      </div>
                    </div>
                  </td>
                  <td>{{$item->quantity}}</td>
                  <td class="text-md-right">
                    <div class="product-price">{{$item->quantity*$item->price}} KWD</div>
                  </td>
                  <!-- <td>
                    <a class="product-remove-btn" href="#">
                      <div class="os-icon os-icon-x"></div>
                    </a>
                  </td> -->
                </tr>
                @if($item['addons'])
                  <tr>
                    <td colspan="4">
                      <h6>Addons</h6>
                      <div class="table-responsive">
                        <table class="table-lightborder table">                        
                           @foreach($item['addons'] as $addon)
                              <tr>
                                <td class="" style="width:20%">
                                  <div class="product-image">
                                     <a href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                        <img src="/gallery/addon/{{$addon['addon']->thumbnail}}" alt="" class="img-fluid">
                                     </a>
                                   </div>
                                </td>
                                <td style="">
                                   <div class="">{{(app()->currentLocale()=='en')?$addon['addon']->name_en:$addon['addon']->name_ar}}</div>
                                </td>                                           
                                <td>{{$addon['qty']}}</td>
                                <td class="text-md-right" colspan="2">
                                   <div class=""> {{$addon['price']*$addon['qty']}} KWD</div>
                                </td>
                              </tr>
                           @endforeach
                        </table>
                      </div>
                    </td>
                  </tr>
                @endif
              @endforeach
            </tbody>
          </table>
        </div>
      </div>
      <div class="order-foot">
        <div class="row">
          <div class="col-md-6 mb-4">
            <!-- <h5>
              Notes
            </h5>
            <div class="form-group">
              <textarea class="form-control" placeholder="Enter your notes here..."></textarea>
            </div>
            <button class="btn btn-primary">Save Notes</button> -->
          </div>
          <div class="col-md-5 offset-md-1">
            <h5 class="order-section-heading">Order Summary</h5>
            <div class="order-summary-row">
              <div class="order-summary-label"><span>Subtotal</span></div>
              <div class="order-summary-value">{{$order['cart']->subtotal}} KWD</div>
            </div>
            <div class="order-summary-row">
              <div class="order-summary-label">
                <span>Coupon Code</span><strong>{{$order['cart']->coupon}}</strong>
              </div>
              <div class="order-summary-value">{{($order['cart']->discount)?$order['cart']->discount:0}} KWD</div>
            </div>
            <!-- <div class="order-summary-row">
              <div class="order-summary-label">
                <span>Taxes</span><strong>VAT 20%</strong>
              </div>
              <div class="order-summary-value">$320</div>
            </div> -->
            <div class="order-summary-row as-total">
              <div class="order-summary-label"><span>Total</span></div>
              <div class="order-summary-value">{{(float)$order['cart']->subtotal - (float)$order['cart']->discount}} KWD</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-4">
    <div class="ecommerce-customer-info">
      <div class="ecommerce-customer-main-info">
        <!-- <div class="ecc-avatar" style="background-image: url(img/avatar1.jpg)"></div> -->
        <div class="ecc-name">{{$order['order']->billing_name}}</div>
      </div>
      <div class="ecommerce-customer-sub-info">
        <div class="ecc-sub-info-row">
          <div class="sub-info-label">Email</div>
          <div class="sub-info-value"><a href="#">{{$order['order']->billing_email}}</a></div>
        </div>
        <div class="ecc-sub-info-row">
          <div class="sub-info-label">Phone</div>
          <div class="sub-info-value">{{$order['order']->billing_phone}}</div>
        </div>
      </div>
      <div class="os-tabs-controls">
        <ul class="nav nav-tabs">
          <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#tab_overview"> Billing</a>
          </li>
          <!-- <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#tab_sales"> Shipping</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#tab_sales"> Order History</a>
          </li> -->
        </ul>
      </div>
      <div class="tab-content">
        <div class="ecc-sub-info-row">
          <div class="sub-info-label">Address</div>
          <div class="sub-info-value">
            {{$order['order']->billing_name}} -  {{$order['order']->billing_phone}}  <br/>
            {{$order['order']->billing_block}}, {{$order['order']->billing_street}}, {{$order['order']->billing_area}}, {{$order['order']->billing_avenue}}, {{$order['order']->billing_email}}
            <!-- 1726 Pasadena Drive, apt 726<br/>Los Angeles, CA 97263 -->
          </div>
        </div>
        <div class="ecc-sub-info-row">
          <div class="sub-info-label">Payment Method</div>
          <div class="sub-info-value">
            {{($order['order']->pay_type=='cod')?'Cash on delivery': $order['order']->pay_type}}
            <!-- <img alt="" src="img/mastercard.png" style="width: auto; height: 40px;"><span>ending 8374</span> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection