@extends('layout.frontend.master')

@section('meta-title', 'Add New Address - LEREVE')

@push('asset-top')
    
@endpush

@section('content')
   <section class="page-content inner-block">
      <div class="account-container">
         <div class="container-fluid">
            <div class="row myaccount">
               <div class="col-lg-3">
                  <div class="account-left-block">
                     <div class="account-left-head">
                        <div class="account-name">{{__('Hi')}} {{$user['user']->name}}</div>
                        <p>{{$user['user']->email}}</p>
                        <p>{{($user['user']['profile'])?$user['user']['profile']->phone:''}}</p>
                     </div>
                     <div class="account-menu-block">
                        <ul class="account-nav">
                           <li><a  href="{{route('user.dashboard')}}"><div class="account-icon"> <i class="bi bi-grid"></i></div>{{__('My Dashboard')}} </a></li>
                           <li><a  href="{{route('my.account')}}"><div class="account-icon"> <i class="bi bi-person"></i></div> {{__('My Account')}} </a></li>
                           <li class="active"><a  href="{{route('address.book')}}"><div class="account-icon"> <i class="bi bi-geo-alt"></i></div>{{__('Address Book')}}</a></li>
                           <li><a  href="{{route('my.orders')}}"><div class="account-icon"> <i class="bi bi-cart2"></i></div> {{__('My Orders')}}</a></li>
                           <li><a  href="{{route('logout')}}"> <div class="account-icon"> <i class="bi bi-box-arrow-right"></i></div>{{__('Logout')}}</a></li>
                        </ul>
                     </div>
                  </div>
               </div>
               <div class="col-lg-9">
                  <div class="account-right-block">
                     <div class="account-head">
                        <h3>{{__('Add New Addresses')}} </h3>    
                     </div>
                     <div class="add-new-address account-new">
                        <form method="post" action="{{route('add.address.store')}}">
                           @csrf
                           <div class="row mb-5 form-area">
                              <div class="col-lg-6 form-field ">
                                 <div class="form-group">
                                    <label>{{__('Full Name')}} <em>*</em></label>
                                    <input class="form-control custom-field " name="fname" type="text" required=""  value="{{ old('fname') }}">
                                    @error('fname')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Phone')}} <em>*</em></label>
                                    <input class="form-control custom-field " name="phone" type="tel" required=""  value="{{ old('phone') }}">
                                    @error('phone')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group mb-0">
                                    <label>{{__('Email')}} <em>*</em></label>
                                    <input class="form-control custom-field" name="email" type="email" required=""  value="{{ old('email') }}">
                                    @error('email')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>
                             <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Area')}}  <em>*</em> <span></span></label>
                                    <select name="area" required class="form-control custom-field">
                                       @foreach($areas as $area)
                                          <option value="{{$area->id}}" {{(old('area')==$area->id)?'selected':''}}>{{(app()->currentLocale())?$area->name_en:$area->name_ar}}</option>
                                       @endforeach
                                    </select>                                    
                                    @error('area')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Block')}}  <em>*</em></label>
                                    <input class="form-control custom-field" name="block" type="text" placeholder=" " required="" value="{{ old('block') }}">
                                    @error('block')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Street')}}  <em>*</em></label>
                                    <input class="form-control custom-field" name="street" type="text" placeholder=" " required=""  value="{{ old('street') }}">
                                    @error('street')
                                       <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                                    @enderror
                                 </div>
                              </div>     
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Avenue (Jaadah)')}} </label>
                                    <input class="form-control custom-field" type="text" name="avenue" value="{{ old('avenue') }}">
                                 </div>
                              </div>
                              <div class="col-lg-12 mt-4">
                                 <button class="btn float-right primery-btn" >{{__('Submit')}}</button>
                              </div>
                           </div>
                        </form>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</section>
@endsection