@extends('layout.frontend.master')

@section('meta-title', 'Payment - LEREVE')

@push('asset-top')
    
@endpush

@section('content')
   <section class="page-content ">
      <section class="shopping-cart">
         <div class="container">
            <div class="row">
               <div class="hero-content page-head">
                  <h2>{{__('Order Confirm')}}</h2>
               </div>
            </div>
            <div class="row checkout-block">
               <div class="col-12 col-md-12 col-lg-12 order-confirm">
                  <div class="order-message-block">
                     <h5>{{__('Thank you')}} !</h5>
                     <p>{{__('Your order')}} #00{{$order->id}} {{__('has been placed')}} ! </p>
                  </div>
                  <div class="card card-lg  ">
                     <div class="card-header cart-header">
                        <div class="invoice-head">
                           <div class="invoice-top">
                              <div class="row ">
                                 <div class="col-lg-6 col-md-4 col-sm-12 ">
                                    <div class="print-logo">
                                       <span class="confirm-logo"> <img src="{{asset('images/lereve-logo.png')}}">
                                    </div>
                                 </div>
                                 <div class="col-lg-6 col-md-4 col-sm-12 ">
                                    <div class="oder-details">
                                       <p class="mb-7 ">
                                          {{__('Order')}} : #00{{$order->id}} <br>
                                          {{__('Date')}} : {{date('m/d/Y', strtotime($order->created_at))}} <br>  {{__('Order Status')}} : {{ucwords($order->status)}}
                                       </p>
                                    </div>
                                 </div>
                              </div> 
                           </div>
                           <div class="invoice-bottom">
                              <div class="row">
                                 @if($order->type == 'pickup')
                                    <div class="col-md-8 col-sm-12">
                                       <h5 class="mb-2">{{__('Pickup')}}</h5>
                                       <p class="mb-7 mb-md-0 text-gray-500">
                                          {{__('Branch')}}: {{$branch->name}},<br> {{__('Pickup Time')}}: {{$order->pickup_time}} {{__('hrs')}}, <br>{{$order['billing_email']}}
                                       </p>
                                    </div>
                                 @else                                 
                                    <div class="col-md-4 col-sm-12 ">
                                       <!-- Heading -->
                                       <h5 class="mb-2">{{__('Delivery Address')}}</h5>
                                       <p class="mb-7 mb-md-0 text-gray-500">
                                          @if($order->address_id)
                                             {{$address->name}} -  {{$address->phone}}  <br/>
                                             {{$address->block}}, {{$address->street}}, {{(app()->getLocale()=='en')?$address->area_en:$address->area_ar}}, {{$address->avenue}}, {{$address->email}}
                                          @else
                                             {{$order->billing_name}} -  {{$order->billing_phone}}  <br/>
                                             {{$order->billing_block}}, {{$order->billing_street}}, {{(app()->getLocale()=='en')?$order->area_en:$order->area_ar}}, {{$order->billing_avenue}}, {{$order->billing_email}}
                                          @endif
                                       </p>
                                    </div>
                                    <div class="col-md-4 col-sm-12 ">
                                       <!-- Heading -->
                                       <h5 class="mb-2">{{__('Billing Address')}}</h5>
                                       <p class="mb-7 mb-md-0 text-gray-500">
                                          {{$order->billing_name}} -  {{$order->billing_phone}}  <br/>
                                          {{$order->billing_block}}, {{$order->billing_street}}, {{(app()->getLocale()=='en')?$order->area_en:$order->area_ar}}, {{$order->billing_avenue}}, {{$order->billing_email}}                                       
                                       </p>
                                    </div>
                                 @endif
                                 <div class="col-md-4 col-sm-12">
                                    <!-- Heading -->
                                    <h5 >{{__('Payment Method')}}</h5>
                                    <p class="mb-0 text-gray-500">{{($order->pay_type=='credit_card')?'Credit Card':(($order->pay_type=='cod')?'Cash On Delivery':'KNET')}}</p>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>

                     <div class="card-body order-confirm-block">
                        <div class="cart-block">
                           <ul class="list-group list-group-lg list-group-flush-x mb-6">
                              <li class="list-group-item cart-head">
                                 <div class="row align-items-center">
                                    <div class="col-lg-5 col-md-5">{{__('Product Name')}} </div>
                                    <div class="col-lg-2 col-md-2 text-right">
                                       <div class="price-heading"> {{__('Price')}}   </div>
                                    </div>
                                    <div class="col-lg-2 col-md-2 text-right">{{__('QTY')}}</div>
                                    <div class="col-lg-2 col-md-2 text-right">{{__('Subtotal')}}</div>
                                 </div>
                              </li>
                              @foreach($cart as $item)
                                 <li class="list-group-item">
                                    <div class="row align-items-center">
                                       <div class="col-lg-5 col-md-5">
                                          <div class=" product-part-top">
                                             <div class="product-cart-img">
                                                <a href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                   <img src="/gallery/products/images/{{$item['product']->thumbnail}}" alt="" class="img-fluid">
                                                </a>
                                             </div>
                                             <div class="d-flex  h6 product-cart">
                                                <a class="text-body" href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                   <h3>{{(app()->currentLocale()=='en')?$item['product']->name_en:$item['product']->name_ar}}</h3>
                                                </a>
                                                <div class="attribute">{{__('Weight')}} : {{$item->weight}}</div>
                                                <ul class="product-delvery-dtls">
                                                   <li class="area">{{(app()->currentLocale()=='en')?$item['area']->name_en:$item['area']->name_ar}}</li>
                                                   <li class="date">{{$item->delivery_date}}</li>
                                                   <li class="time">{{date('h:i A', strtotime($item['slot']->start))}} - {{date('h:i A', strtotime($item['slot']->end))}}</li>
                                                   <li class="message"> {{$item->message}}</li>
                                                </ul>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="col-lg-2 col-md-2">
                                          <div class="price text-right">{{$item->price}} {{__('KWD')}}</div>
                                       </div>
                                       <div class="col-lg-2 col-md-2">
                                          <div class="d-flex align-items-end justify-content-end">
                                             <div class="qty-number">{{$item->quantity}}</div>
                                          </div>
                                       </div>
                                       <div class="col-lg-2 col-md-2 text-right">
                                          <div class="ml-auto price"> {{$item->quantity*$item->price}} {{__('KWD')}}</div>
                                       </div>
                                    </div>
                                    @if($item['addons'])
                                       <div class="addons-list">
                                          <h4>{{__('Add Ons')}} </h4>
                                          <ul class="list-group list-group-lg list-group-flush-x mb-6">
                                             @foreach($item['addons'] as $addon)
                                                <li class="list-group-item">
                                                   <div class="row align-items-center">
                                                      <div class="col-lg-5 col-md-5">
                                                         <div class=" product-part-top">
                                                            <div class="product-cart-img">
                                                               <a href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                                  <img src="/gallery/addon/{{$addon['addon']->thumbnail}}" alt="" class="img-fluid">
                                                               </a>
                                                            </div>
                                                            <div class="d-flex  h6 product-cart">
                                                               <h3>{{(app()->currentLocale()=='en')?$addon['addon']->name_en:$addon['addon']->name_ar}}</h3>
                                                            </div>
                                                         </div>
                                                      </div>
                                                      <div class="col-lg-2 col-md-2">
                                                         <div class="price text-right">{{$addon['price']}} {{__('KWD')}}</div>
                                                      </div>
                                                      <div class="col-lg-2 col-md-2">
                                                         <div class="d-flex align-items-end justify-content-end">
                                                            <div class="qty-number">{{$addon['qty']}}</div>
                                                         </div>
                                                      </div>
                                                      <div class="col-lg-2 col-md-2 text-right">
                                                         <div class="ml-auto price"> {{$addon['price']*$addon['qty']}} {{__('KWD')}}</div>
                                                      </div>
                                                   </div>
                                                </li>
                                             @endforeach
                                          </ul>
                                       </div>
                                    @endif
                                 </li>
                              @endforeach
                           </ul>
                        </div>
                     </div>
                  </div>
               </div>

               <div class="col-lg-4 ml-auto">
                  <div class="cart-right mt-0">
                     <div class="card  ">
                        <ul class="list-group list-group-sm list-group-flush-y list-group-flush-x">
                           <li class="list-group-item d-flex">
                              <span>{{__('Total')}}</span><span class="ml-auto price">{{$cart[0]['cart']['subtotal']}} {{__('KWD')}}</span>
                           </li>
                           <li class="list-group-item d-flex">
                              <span>{{__('Discount Code')}}  </span> <span class="ml-auto font-size-sm price">-{{$cart[0]['cart']['discount']}} {{__('KWD')}}</span>
                           </li>
                           <li class="list-group-item d-flex ">
                              <!-- <span>Delivery Charge</span> <span class="ml-auto font-size-sm price"> 2 {{__('KWD')}}</span> -->
                           </li>
                           <li class="list-group-item d-flex  subtotal">
                              <span>{{__('Grand Total')}}</span><span class="ml-auto price">{{$cart[0]['cart']['subtotal'] - $cart[0]['cart']['discount']}} {{__('KWD')}}</span>
                           </li>
                        </ul>
                        <!-- <div class=" cart-btm">
                           <a href="#" class="btn w-100 primery-btn"><i class="fa fa-save"></i> SAVE Invoice </a>
                        </div> -->
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </section>
   </section>
@endsection