@extends('layout.frontend.master')

@section('meta-title', 'Dashboard - LEREVE')

@push('asset-top')
    
@endpush

@section('content')
   <section class="page-content inner-block">
      <div class="account-container">
         <div class="container-fluid">
            <div class="row myaccount">
               <div class="col-lg-3">
                  <div class="account-left-block">
                     <div class="account-left-head">
                        <div class="account-name">{{__('Hi')}} {{$user['user']->name}}</div>
                        <p>{{$user['user']->email}}</p>
                        <p>{{($user['user']['profile'])?$user['user']['profile']->phone:''}}</p>
                     </div>
                     <div class="account-menu-block">
                        <ul class="account-nav">
                           <li><a  href="{{route('user.dashboard')}}"><div class="account-icon"> <i class="bi bi-grid"></i></div>{{__('My Dashboard')}} </a></li>
                           <li><a  href="{{route('my.account')}}"><div class="account-icon"> <i class="bi bi-person"></i></div> {{__('My Account')}} </a></li>
                           <li class="active"><a  href="{{route('address.book')}}"><div class="account-icon"> <i class="bi bi-geo-alt"></i></div>{{__('Address Book')}}</a></li>
                           <li><a  href="{{route('my.orders')}}"><div class="account-icon"> <i class="bi bi-cart2"></i></div> {{__('My Orders')}}</a></li>
                           <li><a  href="{{route('logout')}}"> <div class="account-icon"> <i class="bi bi-box-arrow-right"></i></div>{{__('Logout')}}</a></li>
                        </ul>
                     </div>
                  </div>
               </div>
               <div class="col-lg-9">
                  <div class="account-right-block">
                     <div class="account-head"><h3>{{__('Welcome to your Account')}}</h3></div>
                     <div class="dashboard-account">
                        <div class="dash-head">
                           <div class="dash-account-info">
                              <h5>{{__('Account info')}}</h5>
                           </div>
                        </div>
                        <div class="account-dash-body">
                           <div class="row">
                              <div class="col-lg-6">
                                 <div class="info-block">
                                    <div class="info-left">
                                       <h6>{{__('Email Address')}}</h6>
                                       <p>{{$user['user']->email}}</p>
                                    </div>
                                 </div>
                              </div>
                              <div class="col-lg-6">
                                 <div class="info-block">
                                    <div class="info-left">
                                       <h6>{{__('Phone Number')}}</h6>
                                       <p>{{$user['user']['profile']?$user['user']['profile']->phone:'-'}}</p>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="dashboard-account">
                        <div class="dash-head">
                           <div class="dash-account-info">
                              <h5>{{__('Address')}}</h5>
                           </div>
                           <div class="account-btn">
                              <a href="{{route('add-address')}}"  > <i class="bi bi-plus-lg"></i>{{__('Add an Address')}}</a>
                           </div>
                        </div>
                        <div class="account-dash-body">
                           <div class="row">
                              @if(count($user['user']['addresses']))
                                 @foreach($user['user']['addresses'] as $address)
                                    <div class="col-lg-6 store-item-style">
                                       <div class="store-dash-block">
                                          <div class="store-info">
                                             <h6>{{$address->name}} - {{$address->phone}}</h6>
                                             <p>{{$address->block}}, {{$address->street}}, {{(app()->getLocale()=='en')?$address->area_en:$address->area_ar}}, {{$address->avenue}}, {{$address->email}}</p>
                                          </div>
                                       </div>
                                    </div>
                                 @endforeach
                              @else
                                 <div class="col-lg-6 store-item-style">
                                    <div class="store-dash-block">
                                       <div class="store-info">
                                          <h6>{{__('No address found')}}</h6>
                                       </div>
                                    </div>
                                 </div>
                              @endif
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</section>
@endsection