@extends('layout.frontend.master')

@section('meta-title', 'Guest Checkout - LEREVE')

@section('content')
   <section class="page-content ">       
      <section class="shopping-cart">
         <div class="container">
            <div class="row">
               <div class="hero-content page-head">
                  <h2>{{__('GUEST CHECKOUT')}}</h2>
               </div>
            </div>

            <div class="row checkout-block">
               @if(session('cart_id'))
                  <div class="col-12 col-md-7 col-lg-8  ">
                     <div class="address-part add-new-address">
                        <form method="post" action="{{route('payment')}}">
                           @csrf
                           <div class="row mb-5 form-area">
                              <h4 > {{__('Delivery Address')}} </h4>
                              <div class="col-lg-6 form-field ">
                                 <div class="form-group">
                                    <label>{{__('Full Name')}} <em>*</em></label>
                                    <input class="form-control custom-field " value="{{old('billing_name', session('guest')['full_name'])}}" name="billing_name" type="text" required="">
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Phone')}} <em>*</em></label>
                                    <input class="form-control custom-field " value="{{old('billing_phone', session('guest')['phone'])}}" name="billing_phone"  type="tel" required="">
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group mb-0">
                                    <label>{{__('Email')}} <em>*</em></label>
                                    <input class="form-control custom-field" value="{{old('billing_email', session('guest')['email'])}}" name="billing_email"  type="email" required="">
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Area')}}  <em>*</em> <span></span></label>
                                    <select name="billing_area" required class="form-control custom-field">
                                       @foreach($areas as $area)
                                          <option value="{{$area->id}}" {{old('billing_area')==$area->id || (session('cart-address')==$area->id)?'selected':''}}>{{(app()->currentLocale()=='en')?$area->name_en:$area->name_ar}}</option>
                                       @endforeach
                                    </select>
                                    <!-- <input class="form-control custom-field " name="billing_area" value="" type="text" required=""> -->
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Block')}}  <em>*</em></label>
                                    <input class="form-control custom-field" type="text" name="billing_block" value="{{old('billing_block', (session('cart-address'))?session('cart-address')['billing_block']:'')}}" placeholder=" " required="" >
                                 </div>
                              </div>
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Street')}}  <em>*</em></label>
                                    <input class="form-control custom-field" type="text" value="{{old('billing_street', (session('cart-address'))?session('cart-address')['billing_street']:'')}}" name="billing_street" placeholder=" " required="" >
                                 </div>
                              </div>                                   
                              <div class="col-lg-6 form-field">
                                 <div class="form-group">
                                    <label>{{__('Avenue (Jaadah)')}} </label>
                                    <input class="form-control custom-field" type="text" name="billing_avenue" value="{{old('billing_avenue', (session('cart-address'))?session('cart-address')['billing_avenue']:'')}}" required="">
                                 </div>
                              </div>
                              <button class="submit-order" style="display:none;">{{__('Place Order')}}</button>
                           </div>
                        </form>
                     </div>                          
                  </div>
                  <div class="col-12 col-md-5 col-lg-4 ">
                     <div class="cart-right">
                        <div class="side-head">
                           <h4>{{__('Payment Summary')}}</h4>
                        </div>

                        <div class="card  ">
                           <div class="card-body">
                              <ul class="list-group list-group-sm list-group-flush-y list-group-flush-x">
                                 <li class="list-group-item d-flex ">
                                    <span>{{__('Total')}}</span> <span class="ml-auto font-size-sm price">{{$cart['cart'][0]['subtotal']}} {{__('KWD')}}</span>
                                 </li>
                                 <li class="list-group-item d-flex ">
                                     <span>{{__('Discount Code')}}</span> <span class="ml-auto font-size-sm price"> -{{($cart['cart'][0]['discount'])?$cart['cart'][0]['discount']:0}} {{__('KWD')}} </span>
                                 </li> 
                                 <li class="list-group-item d-flex ">
                                    <!-- <span>Delivery Charge</span> <span class="ml-auto font-size-sm price"> 2 {{__('KWD')}}</span> -->
                                 </li>                                       
                                 <li class="list-group-item d-flex   subtotal">
                                    <span>{{__('Grand Total')}}</span> <span class="ml-auto price">{{ $cart['cart'][0]['subtotal'] - $cart['cart'][0]['discount'] }} {{__('KWD')}}</span>
                                 </li>
                              </ul>
                           </div>
                        </div>
                        <div class="cart-btm">
                           <a href="#" class="btn place-order primery-btn w-100">{{__('Place Order')}}</a>
                        </div>
                     </div>
                     <a class="btn  mt-3  w-100  line-button-dark line-button-dark" href="{{route('cart')}}">
                        <i class="bi bi-bag"></i>{{__('View Cart')}}
                     </a>
                  </div>
               @else
                  <a class="btn  mt-3  w-100  line-button-dark line-button-dark" href="{{route('products')}}">
                     <i class="bi bi-arrow-left"></i>{{__('Continue Shopping')}}
                  </a>
               @endif
            </div>
         </div>
      </section>
   </section>
@endsection