@extends('layout.frontend.master')

@section('meta-title', 'Payment - LEREVE')

@push('asset-top')
    
@endpush

@section('content')
   <section class="page-content ">
      <section class="shopping-cart">
         <div class="container">
            <div class="row">
               <div class="hero-content page-head"><h2>{{__('Payment')}} </h2></div>
            </div>
            <form method="post" action="{{route('place.order')}}">
               <div class="row checkout-block">
                  @csrf
                  <div class="col-12 col-md-7 col-lg-8">
                     <div class="payment-part">
                        <h4 class="mb-4">{{__('Payment Method')}} </h4>
                        <div class="list-group list-group-sm payment-list">
                           <div class="list-group-item">
                              <div class="custom-control custom-radio">
                                 <input class="custom-control-input collapsed" id="kent" name="payment" type="radio" value="knet">
                                 <label class="custom-control-label font-size-sm text-body text-nowrap" for="kent"><span class="px-2"><img src="{{ asset('images/icon_knet.png') }}" alt=""></span></label>
                              </div>
                           </div>
                           <div class="list-group-item">
                              <div class="custom-control custom-radio">
                                 <input class="custom-control-input collapsed" id="credit_card" name="payment" type="radio" value="credit_card">
                                 <label class="custom-control-label font-size-sm text-body text-nowrap" for="credit_card"><span class="px-2"><img src="{{ asset('images/icon_credit_card.png') }}" alt=""></span></label>
                              </div>
                           </div>
                           <div class="list-group-item">
                              <div class="custom-control custom-radio">
                                 <input class="custom-control-input collapsed" id="netBank" name="payment" type="radio" value="cod">
                                 <label class="custom-control-label font-size-sm text-body text-nowrap" for="netBank"><span class="px-2"></span><div class="payment-text">{{__('Cash on Delivery')}} </div></label>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="address-part payment-block">
                        <h4 > {{__('Delivery Address')}} </h4>
                        <div class="address-box">
                           <div class="delivery-info">
                              @if(session('cart-data'))
                                 @php $cartData = session('cart-data'); @endphp
                              @endif
                              <h5>{{$cartData['name']}} - {{$cartData['phone']}}  </h5>
                              @if(array_key_exists('type',$cartData))
                                 <p>{{__('Branch')}}: {{$cartData['branch']}},<br> {{__('Pickup Time')}}: {{$cartData['pickup_time']}} {{__('hrs')}}, <br>{{$cartData['email']}} </p>
                                 <div class="address-action">
                                    <a href="{{route('pickup')}}"  class="edit-btn"><i class="bi bi-pencil"></i>Edit</a>
                                 </div>
                              @else
                                 <p>{{$cartData['block']}}, {{$cartData['street']}}, {{$cartData['area']}}, {{$cartData['avenue']}}, {{$cartData['email']}} </p>
                                 <div class="address-action">
                                    <a href="{{(auth()->user())?route('checkout'):route('open.guest.checkout')}}"  class="edit-btn"><i class="bi bi-pencil"></i>{{__('Edit')}}</a>
                                 </div>
                              @endif
                           </div>
                        </div>

                       <!-- Address -->
                     </div>
                  </div>
                  <div class="col-12 col-md-5 col-lg-4 ">
                     <div class="cart-right">
                        <div class="side-head"><h4>{{__('Payment Summary')}}</h4></div> 
                        <div class="card  ">
                           <div class="card-body">
                              <ul class="list-group list-group-sm list-group-flush-y list-group-flush-x">
                                 <li class="list-group-item d-flex ">
                                    <span>{{__('Total')}}</span> <span class="ml-auto font-size-sm price">{{$cart['cart'][0]['subtotal']}} {{__('KWD')}}</span>
                                 </li>
                                 <li class="list-group-item d-flex ">
                                    <span>{{__('Discount Code')}}</span> <span class="ml-auto font-size-sm price"> -{{($cart['cart'][0]['discount'])?$cart['cart'][0]['discount']:0}} {{__('KWD')}}</span>
                                 </li>
                                 <li class="list-group-item d-flex ">
                                    <!-- <span>Delivery Charge</span> <span class="ml-auto font-size-sm price"> 2 {{__('KWD')}} -->
                                    <!-- </span> -->
                                 </li>
                                 <li class="list-group-item d-flex   subtotal">
                                    <span>{{__('Grand Total')}}</span> <span class="ml-auto price">{{$cart['cart'][0]['subtotal'] - $cart['cart'][0]['discount']}} {{__('KWD')}}</span>
                                 </li>
                              </ul>
                           </div>
                        </div>
                        <div class="cart-btm">
                           <button class="btn  primery-btn w-100">{{__('Pay')}}</button>
                        </div>
                     </div>
                     <a class="btn  mt-3  w-100  line-button-dark line-button-dark" href="{{route('cart')}}">
                        <i class="bi bi-bag"></i>{{__('View Cart')}}
                     </a>
                  </div>
               </div>
            </form>
         </div>
      </section>
   </section>
@endsection
