@extends('layout.frontend.master')



@section('meta-title', 'Pickup - LEREVE')



@push('asset-top')

    

@endpush



@section('content')

         <section class="page-content ">       

            <section class="shopping-cart">

                <div class="container">

                    <div class="row">

                        <div class="hero-content page-head">

                            <h2>{{__('Checkout')}} </h2>

                        </div>

                    </div>

                    <div class="row checkout-block">

                        <div class="col-12 col-md-7 col-lg-8 ">

                            <div class="address-part">

                                <div class="row delivery-type">

                                    <div class="col-lg-12">

                                        <h2>{{__('Choose pick up or delivery?')}}</h2>

                                    </div>

                                    <div class="col-lg-6">   

                                        <div class="delivery-option "> 

                                            <a href="{{route('checkout')}}">

                                                <div class="icon vehicle"></div><h3>{{__('Delivery')}}</h3>

                                            </a>

                                        </div>

                                    </div>

                                    <div class="col-lg-6">                                 

                                        <div class="delivery-option active">

                                            <a href="{{route('pickup')}}"> <!--  -->

                                                <div class="icon take-way"></div>

                                                <h3>{{__('Pickup')}}</h3>

                                            </a>

                                        </div>

                                    </div>                                 

                                </div>

                           

                                <div class="address-part add-new-address">

                                    <form method="post" action="{{route('payment')}}">

                                        @csrf

                                        @php $cartData = []; @endphp

                                        @if(session('cart-address'))

                                           @php $cartData = session('cart-address'); @endphp

                                        @endif

                                        <div class="row mb-5 form-area">

                                            <h4 >{{__('Enter your pickup details')}}

                                            </h4>

                                            <div class="col-lg-6 form-field ">

                                                <div class="form-group">

                                                    <label>{{__('Full Name')}} <em>*</em></label>

                                                    <input class="form-control custom-field " name="billing_name" type="text" required="" value="{{(array_key_exists('billing_name', $cartData))?$cartData['billing_name']:''}}">

                                                </div>

                                            </div>    

                                            <div class="col-lg-6 form-field">

                                                <div class="form-group">

                                                    <label>{{__('Phone')}} <em>*</em></label>

                                                    <input class="form-control custom-field " name="billing_phone" type="tel" required="" value="{{(array_key_exists('billing_phone', $cartData))?$cartData['billing_phone'] : ''}}">

                                                </div>

                                            </div>

                                            <div class="col-lg-6 form-field">

                                               <div class="form-group mb-0">

                                                   <label>{{__('Email')}} <em>*</em></label>

                                                   <input class="form-control custom-field" name="billing_email" type="email" required="" value="{{(array_key_exists('billing_email', $cartData))?$cartData['billing_email']:''}}">

                                               </div>

                                            </div>

                                            <div class="col-lg-6 form-field">

                                                <div class="form-group">

                                                    <label>{{__('Branch Name')}}  <em>*</em> <span></span></label>

                                                    <select class="form-select form-control custom-field" aria-label="Default select example" name="branch_id">

                                                        <option selected>{{__('Select Branch Name')}}</option>

                                                        @foreach($branches as $branch)

                                                            <option value="{{$branch->id}}" {{(old('branch_id')==$branch->id) || (session('sel-branch')==$branch->id) || (array_key_exists('branch_id', $cartData) && $cartData['branch_id']==$branch->id)?'selected':''}}>{{$branch->name}}</option>

                                                        @endforeach

                                                    </select>

                                                </div>

                                            </div>

                                            <div class="col-lg-6 form-field">

                                                <div class="form-group">

                                                    <label>{{__('Pickup Time')}}  <em>*</em> <span></span></label>

                                                    <select class="form-select form-control custom-field" aria-label="Default select example"  name="pickup_time">

                                                        <option selected>{{__('Select Pickup Time')}}</option>

                                                        <option value="1" {{(old('pickup_time')=='1') || (array_key_exists('pickup_time', $cartData) && $cartData['pickup_time']=='1')?'selected':''}}>1 Hr</option>

                                                        <option value="2" {{(old('pickup_time')=='2') || (array_key_exists('pickup_time', $cartData) && $cartData['pickup_time']=='2')?'selected':''}}>2 Hr</option>

                                                        <option value="3" {{(old('pickup_time')=='3') || (array_key_exists('pickup_time', $cartData) && $cartData['pickup_time']=='3')?'selected':''}}>3 Hr</option>

                                                        <option value="4" {{(old('pickup_time')=='4') || (array_key_exists('pickup_time', $cartData) && $cartData['pickup_time']=='4')?'selected':''}}>4 Hr</option>

                                                      </select>

                                                </div>   

                                            </div>

                                            <!-- <div class="col-lg-12 mt-4">

                                                <a href="payment.html" class="btn float-right primery-btn" >Continue</a>

                                            </div>  -->   

                                        </div> 

                                        <input type="hidden" name="type" value="pickup">

                                        <button class="submit-order" style="display:none;">{{__('Place Order')}}</button>

                                    </form>                                

                                </div>

                            </div>

                        </div>

                        <div class="col-12 col-md-5 col-lg-4 ">

                          <div class="cart-right">

                            <div class="side-head">

                                <h4>{{__('Payment Summary')}}</h4>

                             </div>



                            <div class="card  ">

                                <div class="card-body">

                                    <ul class="list-group list-group-sm list-group-flush-y list-group-flush-x">

                                        <li class="list-group-item d-flex ">

                                            <span>{{__('Total')}}</span> <span class="ml-auto font-size-sm price">{{$cart['cart'][0]['subtotal']}} {{__('KWD')}}

                                          </span>

                                        </li>

                                        <li class="list-group-item d-flex ">

                                            <span>{{__('Discount Code')}}

                                            </span> <span class="ml-auto font-size-sm price"> - {{($cart['cart'][0]['discount'])?$cart['cart'][0]['discount']:0}} {{__('KWD')}}

                                            </span>

                                        </li>

                                        <!-- <li class="list-group-item d-flex ">

                                            <span>Delivery Charge</span> <span class="ml-auto font-size-sm price"> 2 {{__('KWD')}}</span>

                                        </li> -->

                                        <li class="list-group-item d-flex subtotal">

                                            <span>{{__('Grand Total')}}</span> <span class="ml-auto price">{{ $cart['cart'][0]['subtotal'] - $cart['cart'][0]['discount'] }} {{__('KWD')}}

                                            </span>

                                        </li>

                                    </ul>

                                </div>

                            </div>

                            <div class="cart-btm">

                                <a class="btn place-order primery-btn w-100" href="#">{{__('Place Order')}}</a>

                            </div>

                        </div>

                        <a class="btn  mt-3  w-100  line-button-dark line-button-dark" href="{{route('cart')}}">

                            <i class="bi bi-bag"></i>{{__('View Cart')}}

                        </a>

                    </div>

                </div>

            </div>

        </section>



    </section>

@endsection

@push('asset-bottom')

    <script>

        var name = '';var val="";

        $(document).ready(function(){   

            $('input.custom-control-input:checkbox').change(function(){

                if($(this).is(":checked")) {

                    $('.billing-adrs').addClass("addressitemshow");

                } else {

                    $('.billing-adrs').removeClass("addressitemshow");

                }

            });

        });



        $(document).ready(function(){   

            $('.map-block input.form-check-input:checkbox').change(function(){

                if($(this).is(":checked")) {

                    $('.location-block').addClass("showMap"),700;

                } else {

                    $('.location-block').removeClass("showMap"),700;

                }

            });



            jQuery('body').on('change', 'select[name="branch_id"]', function(){

                name = 'branch';

                val = jQuery(this).val();

                jQuery('#againPop').modal('show');

            });

        });





    </script>

@endpush