@extends('layout.frontend.master')

@section('meta-title', 'Saved Address - LEREVE')

@push('asset-top')
    
@endpush

@section('content')
   <section class="page-content inner-block">
      <div class="account-container">
         <div class="container-fluid">
            <div class="row myaccount">
               <div class="col-lg-3">
                  <div class="account-left-block">
                     <div class="account-left-head">
                        <div class="account-name">{{__('Hi')}} {{$user['user']->name}}</div>
                        <p>{{$user['user']->email}}</p>
                        <p>{{($user['user']['profile'])?$user['user']['profile']->phone:''}}</p>
                     </div>
                     <div class="account-menu-block">
                        <ul class="account-nav">
                           <li><a  href="{{route('user.dashboard')}}"><div class="account-icon"> <i class="bi bi-grid"></i></div>{{__('My Dashboard')}} </a></li>
                           <li><a  href="{{route('my.account')}}"><div class="account-icon"> <i class="bi bi-person"></i></div> {{__('My Account')}} </a></li>
                           <li class="active"><a  href="{{route('address.book')}}"><div class="account-icon"> <i class="bi bi-geo-alt"></i></div>{{__('Address Book')}}</a></li>
                           <li><a  href="{{route('my.orders')}}"><div class="account-icon"> <i class="bi bi-cart2"></i></div> {{__('My Orders')}}</a></li>
                           <li><a  href="{{route('logout')}}"> <div class="account-icon"> <i class="bi bi-box-arrow-right"></i></div>{{__('Logout')}}</a></li>
                        </ul>
                     </div>
                  </div>
               </div>
               <div class="col-lg-9">
                  <div class="account-right-block">
                     <div class="account-head">
                        <h3>{{__('Delivery Addresses')}} </h3>
                        <div class="account-btn ml-auto">
                           <a href="{{route('add-address')}}"> <i class="bi bi-plus-lg"></i>{{__('Add New Address')}}</a>
                        </div>
                     </div>
                     <div class="address-list-block">
                        <div class="row">
                           @if(count($user['user']['addresses']))
                              @foreach($user['user']['addresses'] as $key=>$address)
                                 <div class="col-lg-12 ">
                                    <div class="address-list">
                                       <div class="address-left">
                                          <h5>{{$address->name}} - <span>{{$address->phone}}</span></h5>
                                          <p>{{(app()->getLocale()=='en')?$address->area_en:$address->area_ar}}, Block - {{$address->block}}, Street {{$address->street}},{{$address->avenue}}, <br>{{$address->email}}</p>
                                       </div>
                                       <div class="address-right">
                                          <div class="addres-action">
                                             <ul>
                                                <li><a href="{{route('update.address',['id'=>$address->id])}}"><i class="bi bi-pencil-fill"></i> {{__('Edit')}}</a></li>
                                                <li><a href="{{route('delete.address',['id'=>$address->id])}}"><i class="bi bi-trash"></i> {{__('Delete')}}</a></li>
                                             </ul>
                                          </div>
                                          <div class="address-edit">
                                             <i class="bi bi-three-dots-vertical"></i>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              @endforeach
                           @endif
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </section>
@endsection