@php
    use Illuminate\Support\Facades\App;
    
    use App\Models\Category;
    use App\Models\Occasion;
    use App\Models\Branch;
    use App\Models\Announcement;
    use Carbon\Carbon;

    $foccasions = Occasion::where('active',1)->get();
    $fcategories = Category::where('active',1)->get();
    $fbranches = Branch::all();
    $msgs = Announcement::all()->filter(function($item) {
        if (Carbon::now()->between($item->start_dt, Carbon::parse($item->expiry_dt)->toDateString())) {
            return $item;
        }
    });

    $selfLink = Route::current()->getName();

    $carts = \App\Http\Controllers\CartController::getCart();
    $carts = json_decode($carts, true);
    $logged = auth()->check();
    $locale = app()->currentLocale();
@endphp

@push('asset-top')            
    <style type="text/css">
        .error-msg{
            font-size: 20px;
        }
        li.area {
            background-image: url({{asset('images/map.svg')}});
            background-repeat: no-repeat;
        }
        ul.search-result {
            background-color: #fff;
            width: 70%;
            position: absolute;
            top: 8.3rem;
            border: 1px solid;
            right: 15%;
        }
    </style>
@endpush
@push('asset-bottom')  
    @if(session('backpage'))  
        @if(session('backpage') == 'login')
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#loginPopup').modal('show');
                });
            </script>        
        @elseif(session('backpage') == 'register')
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#registerPopup').modal('show');
                });
            </script>
        @elseif(session('backpage') == 'guest-checkout')
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#guestPopup').modal('show');
                });
            </script>
        @elseif(session('backpage') == 'addtocart')
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#openCart').modal('show');
                });
            </script>
        @endif
        @php
            session()->forget('backpage');
        @endphp
    @endif
    <script>
        setTimeout(function(){
            jQuery('.error-msg, .flash-msg').slideUp(500);
        },5000);

        jQuery('body').on('click', '.place-order', function(e){
            e.preventDefault();
            jQuery('.submit-order').trigger('click');
        });
    </script>
@endpush
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="{{$locale=='ar'?'rtl':''}}">
    <head>
        <meta charset="UFT-8">
        @include('layout.frontend.head')
        <meta http-equiv="Content-Type" content="text/html" charset="utf-8" />
        @stack('asset-top')
    </head>
    <body cz-shortcut-listen="true" >   
        @include('layout.frontend.header')
        @if($errors->any())
            {!! implode('', $errors->all('<div class="alert-danger text-center error-msg p-2">:message</div>')) !!}
        @endif
        @include('layout.frontend.sidebar')
        @yield('content')
        @include('layout.frontend.footer')
        @stack('asset-bottom')
    </body> 
</html>