<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lereve</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500&display=swap" rel="stylesheet">

    <style>
        .cart-cont{
            width: 100%;
        }
        .hii{
            display: flex;
            justify-content: space-between;
        }
        .list-group-flush-x{
            width: 100%;
            border: 1px solid #f3f3f3;
        }
        .list-group-flush-x li{
            list-style: none;
            display: flex;
            justify-content: space-between;
        }
        .align-items-center{
            text-align: center;
        }
    </style>
</head>
<!-- width: 80%; width="800"-->
<body @if(App::isLocale('ar')) dir="rtl" @endif style=" margin:auto; font-family: 'Poppins', sans-serif; width:700px;">
    <table  style="background-color: #f2f3f4; border: solid thin #f2f3f4; font-family: 'Poppins', sans-serif; font-size: 14px;" cellpadding="0" cellspacing="0">
        <tr>
            <td style="text-align: center;">
                <img src="{{ asset('images/lereve-logo.png') }}" style="width: 200px;">
            </td>
        </tr>
        <tr>
            <td style="padding: 0 10px;">
                
                <p>Hi {{$uname}},</p>

                <p>We noticed you left some items in your cart, and we wanted to make sure you didn’t miss out on them!</p>

                <p>Here’s what you left behind:</p>

                <ul class="list-group list-group-lg list-group-flush-x mb-6">
                    <li class="list-group-item cart-head">
                        <div class="row align-items-center">
                            <div class="col-lg-5 col-md-5">{{__('Product Name')}} </div>
                            <div class="col-lg-2 col-md-2 text-right">
                               <div class="price-heading"> {{__('Price')}}   </div>
                            </div>
                            <div class="col-lg-2 col-md-2 text-right">{{__('QTY')}}</div>
                            <div class="col-lg-2 col-md-2 text-right">{{__('Subtotal')}}</div>
                        </div>
                    </li>
                    @foreach($cartItem as $item)
                        <li class="list-group-item">
                            <div class="row align-items-center">
                                <div class="col-lg-5 col-md-5">
                                    <div class=" product-part-top">
                                        <div class="product-cart-img">
                                            <a href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                <img src="{{ url('gallery/products/images/'.$item['product']->thumbnail) }}" alt="" class="img-fluid">
                                            </a>
                                        </div>
                                        <div class="d-flex  h6 product-cart">
                                            <a class="text-body" href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                <h3>{{(app()->currentLocale()=='en')?$item['product']->name_en:$item['product']->name_ar}}</h3>
                                            </a>
                                            <div class="attribute">{{__('Weight')}} : {{$item['weight']}}</div>
                                            <!-- <ul class="product-delvery-dtls">
                                                <li class="area">{{--(app()->currentLocale()=='en')?$item['area']->name_en:$item['area']->name_ar--}}</li>
                                                <li class="date">{{--$item->delivery_date--}}</li>
                                                <li class="time">{{--date('h:i A', strtotime($item['slot']->start))--}} - {{--date('h:i A', strtotime($item['slot']->end))--}}</li>
                                                <li class="message"> {{--$item->message--}}</li>
                                            </ul> -->
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-2">
                                    <div class="price text-right">{{$item['price']}} {{__('KWD')}}</div>
                                </div>
                                <div class="col-lg-2 col-md-2">
                                    <div class="d-flex align-items-end justify-content-end">
                                        <div class="qty-number">{{$item['quantity']}}</div>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-2 text-right">
                                    <div class="ml-auto price"> {{$item['quantity']*$item['price']}} {{__('KWD')}}</div>
                                </div>
                            </div>
                            @if($item['addons'])
                                <div class="addons-list">
                                    <h4>{{__('Add Ons')}} </h4>
                                    <ul class="list-group list-group-lg list-group-flush-x mb-6">
                                        @foreach($item['addons'] as $addon)
                                            <li class="list-group-item">
                                                <div class="row align-items-center">
                                                    <div class="col-lg-5 col-md-5">
                                                        <div class=" product-part-top">
                                                            <div class="product-cart-img">
                                                                <a href="{{route('single.product', ['slug'=>$item['product']->slug])}}">
                                                                    <img src="{{ url('gallery/addon/'. $addon['addon']->thumbnail) }}" alt="" class="img-fluid">
                                                                </a>
                                                            </div>
                                                            <div class="d-flex  h6 product-cart">
                                                                <h3>{{(app()->currentLocale()=='en')?$addon['addon']->name_en:$addon['addon']->name_ar}}</h3>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-2 col-md-2">
                                                        <div class="price text-right">{{$addon['price']}} {{__('KWD')}}</div>
                                                    </div>
                                                    <div class="col-lg-2 col-md-2">
                                                        <div class="d-flex align-items-end justify-content-end">
                                                            <div class="qty-number">{{$addon['qty']}}</div>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-2 col-md-2 text-right">
                                                        <div class="ml-auto price"> {{$addon['price']*$addon['qty']}} {{__('KWD')}}</div>
                                                    </div>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                        </li>
                    @endforeach
                </ul>

                <p>Don't worry - your cart is still waiting for you! You can complete your purchase by clicking the link below:</p>

                <p>Complete Your Purchase: {{route('cart')}}</p>

                <p>Looking forward to seeing you back!</p>

                <p>Best regards,<br>
                {{ __('Lereve') }}</p>
            </td>
        </tr>
    </table>


</body>
</html>
