<?php
    use Illuminate\Support\Facades\App;
    
    use App\Models\Category;
    use App\Models\Occasion;
    use App\Models\Branch;
    use App\Models\Announcement;
    use Carbon\Carbon;

    $foccasions = Occasion::where('active',1)->get();
    $fcategories = Category::where('active',1)->get();
    $fbranches = Branch::all();
    $msgs = Announcement::all()->filter(function($item) {
        if (Carbon::now()->between($item->start_dt, Carbon::parse($item->expiry_dt)->toDateString())) {
            return $item;
        }
    });

    $selfLink = Route::current()->getName();

    $carts = \App\Http\Controllers\CartController::getCart();
    $carts = json_decode($carts, true);
    $logged = auth()->check();
    $locale = app()->currentLocale();
?>

<?php $__env->startPush('asset-top'); ?>            
    <style type="text/css">
        .error-msg{
            font-size: 20px;
        }
        li.area {
            background-image: url(<?php echo e(asset('images/map.svg')); ?>);
            background-repeat: no-repeat;
        }
        ul.search-result {
            background-color: #fff;
            width: 70%;
            position: absolute;
            top: 8.3rem;
            border: 1px solid;
            right: 15%;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('asset-bottom'); ?>  
    <?php if(session('backpage')): ?>  
        <?php if(session('backpage') == 'login'): ?>
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#loginPopup').modal('show');
                });
            </script>        
        <?php elseif(session('backpage') == 'register'): ?>
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#registerPopup').modal('show');
                });
            </script>
        <?php elseif(session('backpage') == 'guest-checkout'): ?>
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#guestPopup').modal('show');
                });
            </script>
        <?php elseif(session('backpage') == 'addtocart'): ?>
            <script type="text/javascript">
                jQuery(window).on('load', function(){
                    jQuery('#openCart').modal('show');
                });
            </script>
        <?php endif; ?>
        <?php
            session()->forget('backpage');
        ?>
    <?php endif; ?>
    <script>
        setTimeout(function(){
            jQuery('.error-msg, .flash-msg').slideUp(500);
        },5000);

        jQuery('body').on('click', '.place-order', function(e){
            e.preventDefault();
            jQuery('.submit-order').trigger('click');
        });
    </script>
<?php $__env->stopPush(); ?>
<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>" dir="<?php echo e($locale=='ar'?'rtl':''); ?>">
    <head>
        <meta charset="UFT-8">
        <?php echo $__env->make('layout.frontend.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <meta http-equiv="Content-Type" content="text/html" charset="utf-8" />
        <?php echo $__env->yieldPushContent('asset-top'); ?>
    </head>
    <body cz-shortcut-listen="true" >   
        <?php echo $__env->make('layout.frontend.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php if($errors->any()): ?>
            <?php echo implode('', $errors->all('<div class="alert-danger text-center error-msg p-2">:message</div>')); ?>

        <?php endif; ?>
        <?php echo $__env->make('layout.frontend.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->yieldContent('content'); ?>
        <?php echo $__env->make('layout.frontend.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->yieldPushContent('asset-bottom'); ?>
    </body> 
</html><?php /**PATH /home/websites4demo/public_html/lereve.websites4demo.com/resources/views/layout/frontend/master.blade.php ENDPATH**/ ?>