@extends('layout.admin.master')

@section('meta-title', 'Categories')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')
@section('breadcrumbs')
  <li class="breadcrumb-item">
    <span>Categories</span>
  </li>
@endsection
@push('asset-top')
    
@endpush

@section('content')
<div class="element-wrapper">
  <h6 class="element-header">
    Categories
  </h6>
  <div class="element-box">
    <h5 class="form-header">
      <!-- List -->
    </h5>
    <!-- <div class="form-desc">You can put a table tag inside an <code>.element-box</code> class wrapper and add <code>.table</code> class to it to get something like this:
    </div> -->
    <!--------------------
    START - Controls Above Table
    -------------------->
    <div class="controls-above-table">
      <div class="row">
        <div class="col-sm-6">
          <a class="btn btn-sm btn-secondary" href="#">Download CSV</a>
          <a class="btn btn-sm btn-secondary" href="{{ route('category.create') }}"><i class="os-icon os-icon-common-03"></i> Add</a>
          <!-- <a class="btn btn-sm btn-danger" href="#">Delete</a> -->
        </div>
        <div class="col-sm-6">
          <form class="form-inline justify-content-sm-end">
            <input class="form-control form-control-sm rounded bright" placeholder="Search" type="text">
            <select class="form-control form-control-sm rounded bright">
              <option selected="selected" value="">Select Status</option>
              <option value="Pending">Pending</option>
              <option value="Active">Active</option>
              <option value="Cancelled">Cancelled</option>
            </select>
          </form>
        </div>
      </div>
    </div>
    <!--------------------
    END - Controls Above Table
    -------------------->
    <div class="table-responsive">
      <!--------------------
      START - Basic Table
      -------------------->
      <table class="table table-lightborder">
        <thead>
          <tr>
            <th class="">#</th>
            <th>Name (English)</th>
            <th>Name (Arabic)</th>
            <th>Status</th>
            <th class="text-right">Action</th>
          </tr>
        </thead>
        <tbody>
          @foreach($categories as $category)
            <tr>
              <td>@if($category->thumbnail)<img class="list-thumb" src="/gallery/category/{{$category->thumbnail}}">@endif</td>
              <td>{{$category->name_en}}</td>
              <td>{{$category->name_ar}}</td>
              <td><div class="status-pill {{($category->active==1)?'green':'red'}}" data-title="{{($category->active==1)?'Active':'Inactive'}}" data-toggle="tooltip"></div></td>
              <td class="row-actions text-right">
                <a href="{{route('category.edit', ['slug'=>$category->slug])}}"><i class="os-icon os-icon-ui-49"></i></a>
                <a href="{{route('category.delete', ['slug'=>$category->slug])}}" class="danger"><i class="os-icon os-icon-ui-15"></i></a>
              </td>
            </tr>
          @endforeach
        </tbody>
      </table>

      <!--------------------
      END - Basic Table
      -------------------->
    </div>
    <div class="ar-pagination">
      {{ $categories->links() }}
      </div>
  </div>
</div>

@endsection