@extends('layout.admin.master')

@section('meta-title', 'Al SHURAIAN - Create Product')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('product.list')}}">Products</a>
  </li>
  <li class="breadcrumb-item">
    <span>Create</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Product
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('product.store')}}">
        @csrf
        <h5 class="form-header">
          Create
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> Name (English)</label>
          <input class="form-control" name="name_en" placeholder="Enter Product Name" required="required" type="text">
          @error('name_en')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Name (Arabic)</label>
          <input class="form-control" name="name_ar" placeholder="Enter Product Name ( Arabic )"  type="text">
          @error('name_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Description (English)</label>
          <textarea cols="80" class="ckeditor-text" name="description_en" rows="10" style="visibility: hidden; display: none;"></textarea>
          @error('description_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Description (Arabic)</label>
          <textarea cols="80" class="ckeditor-text" name="description_ar" rows="10" style="visibility: hidden; display: none;"></textarea>
          @error('description_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Price</label>
              <input class="form-control" name="price" placeholder="Price" required="required" type="number" step="0.100">
              @error('price')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>              
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Sale Price</label>
              <input class="form-control" placeholder="Sale Price" name="sale_price" type="number" step="0.100">
              @error('sale_price')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Quantity</label>
              <input class="form-control" name="quantity" placeholder="Quantity" required="required" type="number">
              @error('quantity')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Preparation Time</label>
              <input class="form-control" name="preparation_time" placeholder="Preparation Time" type="text">
              @error('preparation_time')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>

        <div class="form-group">
          <label for=""> Category</label>
          <select name="category_id" class="form-control select2">
            <optionva value="0">Select</option>
            @foreach($categories as $category)
              <option value="{{$category->id}}">{{$category->name_en}}</option>
            @endforeach
          </select>
        </div>
        <div class="form-group">
          <label for=""> Weights</label>
          <select name="weights" class="form-control select2">
            <option>Select</option>
            <option value="250gm">250gm</option>
            <option value="500gm">500gm</option>
            <option value="750gm">750gm</option>
            <option value="1kg">1kg</option>
          </select>
        </div>
        <!-- Media -->
        <fieldset class="form-group">
          <legend><span>Media</span></legend>
          <div class="form-group">
            <label for=""> Thumbnail</label>
            <input class="form-control" name="thumbnail" type="file">
            @error('thumbnail')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="form-group">
            <label for=""> Gallery</label>
            <input class="form-control" name="gallery[]" type="file" multiple>              
          </div>
          <div class="form-group">
            <label for=""> Video</label>
            <input type="file" name="video" class="form-control">              
          </div>
        </fieldset>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="new" type="checkbox" value="1" checked> New
          </label>
        </div>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="preorder" type="checkbox" value="1"> Preorder
          </label>
        </div>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="visible" type="checkbox" value="1" checked> Active
          </label>
        </div>
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection