@extends('layout.admin.master')

@section('meta-title', 'Al SHURAIAN - Update Product')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('product.list')}}">Products</a>
  </li>
  <li class="breadcrumb-item">
    <span>Update</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Product
    </h6>
    <div class="element-box">
      <form method="post" enctype="multipart/form-data" action="{{route('product.update', ['slug'=>$product->slug])}}">
        @csrf
        <h5 class="form-header">
          Update
        </h5>
        <div class="form-desc">
          <!-- Discharge best employed your phase each the of shine. Be met even reason consider logbook redesigns. Never a turned interfaces among asking -->
        </div>
        <div class="form-group">
          <label for=""> Name (English)</label>
          <input class="form-control" name="name_en" placeholder="Enter Product Name" required="required" value="{{$product->name_en}}" type="text">
          @error('name_en')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Name (Arabic)</label>
          <input class="form-control" name="name_ar" placeholder="Enter Product Name ( Arabic )" value="{{$product->name_ar}}" type="text">
          @error('name_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Description (English)</label>
          <textarea cols="80" class="ckeditor-text" name="description_en" rows="10" style="visibility: hidden; display: none;">{{$product->description_en}}</textarea>
          @error('description_en')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="form-group">
          <label for=""> Description (Arabic)</label>
          <textarea cols="80" class="ckeditor-text" name="description_ar" rows="10" style="visibility: hidden; display: none;">{{$product->name_ar}}</textarea>
          @error('description_ar')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
          @enderror
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Price</label>
              <input class="form-control" name="price" placeholder="Price" required="required" type="number" value="{{$product->price}}" step="0.100">
              @error('price')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>              
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Sale Price</label>
              <input class="form-control" value="{{$product->sale_price}}"placeholder="Sale Price" name="sale_price" type="number" step="0.100">
              @error('sale_price')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Quantity</label>
              <input class="form-control" name="quantity" value="{{$product->quantity}}"placeholder="Quantity" required="required" type="number">
              @error('quantity')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for=""> Preparation Time</label>
              <input class="form-control" name="preparation_time" placeholder="Preparation Time" value="{{$product->preparation_time}}"type="text">
              @error('preparation_time')
                  <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
              @enderror
            </div>
          </div>
        </div>

        <div class="form-group">
          <label for=""> Category</label>
          <select name="category_id" class="form-control select2">
            <optionva value="0">Select</option>
            @foreach($categories as $category)
              <option value="{{$category->id}}" {{($product->category_id == $category->id)?'selected':''}}>{{$category->name_en}}</option>
            @endforeach
          </select>
        </div>
        <div class="form-group">
          <label for=""> Weights</label>
          <select name="weights" class="form-control select2">
            <option>Select</option>
            <option value="250gm" {{($product->measurements == '250gm')?'selected':''}}>250gm</option>
            <option value="500gm" {{($product->measurements == '500gm')?'selected':''}}>500gm</option>
            <option value="750gm" {{($product->measurements == '750gm')?'selected':''}}>750gm</option>
            <option value="1kg" {{($product->measurements == '1kg')?'selected':''}}>1kg</option>
          </select>
        </div>
        <!-- Media -->
        <fieldset class="form-group">
          <legend><span>Media</span></legend>
          <div class="form-group">
            <label for=""> Thumbnail</label>
            <input class="form-control" name="thumbnail" type="file">
            @if($product->thumbnail)
              <img src="/gallery/products/images/{{$product->thumbnail}}" class="" style="width: 150px; margin-top: 10px;">
            @endif
            @error('thumbnail')
              <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="form-group">
            <label for=""> Gallery</label>
            <input class="form-control" name="gallery[]" type="file" multiple> 
            @if($product->gallery)
              @php $gallery = explode(',', $product->gallery); @endphp
              @foreach($gallery as $img)
                <img src="/gallery/products/images/{{$img}}" class="" style="width: 150px; margin-top: 10px; margin-right: 10px;">
              @endforeach
            @endif             
          </div>
          <div class="form-group">
            <label for=""> Video</label>
            <input type="file" name="video" class="form-control">  
            @if($product->video)
            <video width="320" height="240" controls>
              <source src="/gallery/products/videos/{{$product->video}}" type="video/mp4">
            </video>
              <!-- <img src="/gallery/products/videos/{{$category->thumbnail}}" class="" style="width: 150px; margin-top: 10px;"> -->
            @endif            
          </div>
        </fieldset>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="new" type="checkbox" value="1" {{($product->new==1)?'checked':''}}> New
          </label>
        </div>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="preorder" type="checkbox" value="1" {{($product->preorder==1)?'checked':''}}> Preorder
          </label>
        </div>
        <div class="form-check">
          <label for="" class="form-check-label"> 
            <input class="form-check-input" name="visible" type="checkbox" value="1" {{($product->visible==1)?'checked':''}}> Active
          </label>
        </div>
        <div class="form-buttons-w">
          <button class="btn btn-primary" type="submit"> Submit</button>
        </div>
      </form>
    </div>
  </div>
@endsection