@extends('layout.admin.master')

@section('meta-title', 'Al SHURAIAN Dashboard')
@section('body-class', 'menu-position-side menu-side-left full-screen with-content-panel')

@section('breadcrumbs')
  <li class="breadcrumb-item">
    <a href="{{route('user.list')}}">Users</a>
  </li>
  <li class="breadcrumb-item">
    <span>Create</span>
  </li>
@endsection

@push('asset-top')
    
@endpush

@section('content')
  <div class="element-wrapper">
    <h6 class="element-header">
      Users
    </h6>
    <div class="element-box">
        <form id="formValidate" method="post" action="{{ route('user.store') }}">
          @csrf
          <h5 class="form-header">
            Create
          </h5>
          <div class="form-desc">
            <!-- Validation of the form is made possible using powerful validator plugin for bootstrap. <a href="http://1000hz.github.io/bootstrap-validator/" target="_blank">Learn more about Bootstrap Validator</a> -->
          </div>
          <div class="form-group">
            <label for=""> Name</label><input class="form-control" name="name" data-error="Field is required" placeholder="Enter Name" required="required" type="text">
            @error('name')
                <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="form-group">
            <label for=""> Email address</label><input class="form-control" name="email" data-error="Your email address is invalid" placeholder="Enter email" required="required" type="email">
            @error('email')
                <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>
          <!-- <div class="row"> -->
            <!-- <div class="col-sm-6"> -->
              <div class="form-group">
                <label for=""> Password</label><input class="form-control" data-minlength="6" name="password" placeholder="Password" required="required" type="password">
                <div class="help-block form-text text-muted form-control-feedback">
                  Minimum of 6 characters
                </div>
                @error('password')
                    <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>
            <!-- </div> -->
            <!-- <div class="col-sm-6">
              <div class="form-group">
                <label for="">Confirm Password</label><input class="form-control" data-match-error="Passwords don&#39;t match" placeholder="Confirm Password" required="required" type="password" name="confirm_password">
                
                @error('confirm_password')
                    <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
                @enderror
              </div>
            </div> -->
          <!-- </div> -->
          <div class="form-group">
            <label for=""> User Type</label><select class="form-control" name="role">
              <option value="admin"> Admin</option>
              <option value="branch">Branch </option>
              <option value="customer">Customer </option>
            </select>
            @error('role')
                <div class="help-block form-text with-errors form-control-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="form-check">
            <label class="form-check-label"><input class="form-check-input" type="checkbox" name="isactive" value="1">Active</label>
          </div>
          <div class="form-buttons-w">
            <button class="btn btn-primary" type="submit"> Submit</button>
          </div>
        </form>
      </div>
    </div>
  </div>
@endsection
@push('asset-bottom')
@endpush