@php

    $selfLink = Route::current()->getName();
@endphp

@push('asset-top')
    <script src="{{ asset('admin/bower_components/jquery/dist/jquery.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/popper.js/dist/umd/popper.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/moment/moment.js') }}"></script>
    <script src="{{ asset('admin/bower_components/chart.js/dist/Chart.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/select2/dist/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/jquery-bar-rating/dist/jquery.barrating.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/ckeditor/ckeditor.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap-validator/dist/validator.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap-daterangepicker/daterangepicker.js') }}"></script>
    <script src="{{ asset('admin/bower_components/ion.rangeSlider/js/ion.rangeSlider.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/dropzone/dist/dropzone.js') }}"></script>
    <script src="{{ asset('admin/bower_components/editable-table/mindmup-editabletable.js') }}"></script>
    <script src="{{ asset('admin/bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/fullcalendar/dist/fullcalendar.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/perfect-scrollbar/js/perfect-scrollbar.jquery.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/tether/dist/js/tether.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/slick-carousel/slick/slick.min.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/util.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/alert.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/button.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/carousel.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/collapse.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/dropdown.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/modal.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/tab.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/tooltip.js') }}"></script>
    <script src="{{ asset('admin/bower_components/bootstrap/js/dist/popover.js') }}"></script>
    <script src="{{ asset('admin/js/demo_customizer.js?version=4.5.0') }}"></script>
    <script src="{{ asset('admin/js/main.js?version=4.5.0') }}"></script>
    <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

    ga('create', 'UA-XXXXXXXX-9', 'auto');
    ga('send', 'pageview');
    </script>
@endpush

@push('asset-top')
    <style type="text/css">
        .flash-msg{
            color: #fff;
            font-size: 16px;
            text-align: center;
            border-radius: 0;
            margin-bottom: 0;
            font-weight: 500 !important;
        }
        img.list-thumb {
            width: 75px;
        }
        .del-val-row {
            padding-top: 30px;
            font-size: 18px;
        }
    </style>
@endpush
@push('asset-bottom')
    <script type="text/javascript">
        setTimeout(function(){
            jQuery('.flash-msg').slideUp(1000);
        },3000);

        $('body').on('click','.add-new-val', function(e){
            e.preventDefault();
            $( ".option_val:first" ).clone().appendTo( "fieldset" ).find("input[type='text'], input[type='hidden'], select").val("");
            updateShowName();
        });

        $('body').on('click','.del-val-row', function(e){
            e.preventDefault();
            $( this ).closest('.option_val').remove();
            updateShowName();
        });

        function updateShowName(){
            $i = 0;
            jQuery('.option_val').each(function(){
                jQuery(this).find('input[type="checkbox"]').attr('name', 'show['+$i+']');
                $i++;
            });
        }

    </script>
@endpush
<!DOCTYPE html>
<html>
    <head>
        @include('layout.admin.head')
        @stack('asset-top')
    </head>
    <body cz-shortcut-listen="true" class="@yield('body-class')">
        @if(session()->has('alert-msg'))
            <div class="flash-msg alert {{session('alert-class')}}">{{session('alert-msg')}}</div>
        @endif
        @if($selfLink != 'login')
            @include('layout.admin.header')
            @include('layout.admin.sidebar')
            <div class="content-w">
                @include('layout.admin.topbar')
        @endif
            @if(session()->has('error'))
                session()->get('error')
            @endif
            <div class="content-i">
                <div class="content-box">
                    @yield('content')
                </div>
            </div>
        @if($selfLink != 'login')
            @include('layout.admin.footer')
        </div>
        @endif
        @stack('asset-bottom')
    </body> 
</html>